C====MAIN PROGRAM ------------------
C---GOS Angular distribution in elastic scattering
C for s-subshells--for endohedrals-----------------------
C--GF=1(for L=0,L=2) GF(I) -input file for L=1-----------
      INTEGER  NW,RPAE
       REAL*8  Q,LAM,GRAD,RES,
     *   EEL(100),DEL0(100),DEL1(100),DEL2(100),
     *   PH0(100),PH1(100),PH2(100),GFUNC(100),
     *   G00(100),G11(100),G22(100),GPH(100),
     *   RE00(100),RE11(100),RE22(100),
     *   IM00(100),IM11(100),IM22(100),
     *   GAMMAIN(200),ETAIN(200),BETAIN(200),
     *   ZETAIN(200)

       NAMELIST/DGOSFUL0/ RPAE,Q,LAM,GRAD, 
     *    NW,EEL,DEL0,DEL1,DEL2,
     *    RE00,IM00,RE11,IM11,RE22,IM22,
     *    PH0,PH1,PH2,GFUNC,GPH

      OPEN(5,FILE='SYS$INPU',STATUS='OLD')
      READ(5,DGOSFUL0)
      OPEN(6,FILE='SYS$OUTP',STATUS='NEW')
          
	CALL DIFGOSFUL0(RPAE,Q,LAM,GRAD,NW,EEL,
     *   DEL0,DEL1,DEL2,PH0,PH1,PH2,
     *   RE00,IM00,RE11,IM11,RE22,IM22,
     *   G00,G11,G22,RES,
     *   GAMMAIN,ETAIN,BETAIN,ZETAIN,GFUNC,GPH)

      STOP
      END
